# История версий программы

## 4.8.8

#### Проигрыватель

- Добавлены всплывающие меню кнопкам - отключить звук, переключить звуковую дорожку, показать-скрыть субтитры, переключить субтитры 1-2, переключить пропорции видео с подходящим для этих кнопок наиболее востребованным содержимым, которое можно изменять на своё усмотрение в настройках.
- Всплывающее меню скоростей: добавлены скорости 2.2, 2.4, 2.6, 2.8
- При наведении мышки на заголовок теперь всплывает подсказка с текущим проигрываемым файлом (удобно, если название очень длинное и не вмещается в заголовок).
- Обновлён внешний вид инсталлятора и деинсталлятора.

- Настройки->Видео: если madVR не установлен, то теперь вместо сообщения о том, где его можно скачать, будет сразу открываться http://www.madvr.com/download/
- Всплывающее меню: если madVR не установлен, он будет отображаться, но засвеченным.
- Копирование текста субтитров: копируются только отображаемые субтитры.
- Применение сохраненных медиа настроек: усиление и смещение звука теперь запоминается.
- Удалена поддержка создания скриншотов в формате WebP.
- Обновлён итальянский язык.

#### Видео движок

- Субтитры: поддержка стилей italic и bold italic для шрифта. Можно установить в "Опции субтитров" в опциях шрифта.

- AVI: дополнена и улучшена поддержка Matrox MPEG2 codec.
- Обновлен список Nvidia и Intel видеокарт с поддержкой аппаратного декодирования 4K-видео.

## 4.8.7

#### Проигрыватель

- Настройки->Клавиатура: новая команда в разделе субтитров - *Скопировать текущую строку в буфер обмена* (удобно если вы учите языки, и хотите по быстрому скопировать текущую видимую строку субтитра).
- Настройки->Связки: возможность переназначать мультимедийные клавиши.
- Настройки->Система: опция автоматической проверки на наличие обновлений (включена по-умолчанию)
- О программе: кнопка проверки на наличие обновлений.
- Таблица по списку: добавлен тег %VideoDuration%

- Плейлист теперь автоматически сохраняет свою ширину выставленную в полноэкранном режиме (раньше зависело от опции).
- Авто-обновление настроек ограничено версией >= 4.8.7 вместо >= 4.7.8
- Настройки->Видео->Скриншоты: опции *Наложить информационное OSD* и *Отображать субтитры* теперь могут использоваться независимо друг от друга.
- Настройки->Список->Разное: убрана опция *запоминать состояние списка (открыт/закрыт)*, теперь запоминается автоматически.
- Небольшие оптимизации.

#### Видео движок

- Поддержка для двух субтитров на скриншотах (ранее только один субтитр отображался).
- HEVC: поддержка получения crop/fps-информации.
- MPEG: поддержка HEVC в MPEG-PS.

- Улучшена перемотка вперёд по субтитрам.
- MP4: улучшена перемотка по ключевым кадрам.
- Обновлены кодеки.

## 4.8.6

#### Проигрыватель

- Перевод плеера на французский язык.
- Настройки->Внешний вид: панель управления - *скрыта по умолчанию*.
- Настройки->Звук: возможность указать банк звуков для MIDI.
- Всплывающее меню для кнопки *Поверх всех окон* на заголовке плеера.

- Настройки->Звук: настройки немного реорганизованы.
- Настройки->Видео: поверх всех окон - *никогда* переименовано в *вручную (кнопкой)*.
- Плейлист: для ссылок стараемся отображать название, даже если не включено форматирование тегов. Полезно для IPTV-плейлистов.
- Некоторые оптимизации.

#### Видео движок

- Видео декодер: поддержка DXVA с характеристиками кадра ширина <= 2048 и высота <= 2304 для видеокарт AMD.
- WASAPI: переработан и улучшен механизм обработки пакетов с данными, что положительно скажется на A/V синхронизации в различных ситуациях.
- WASAPI: добавлена обработка ситуации в случае потери/отключения устройства вывода звука, тогда звук будет перенаправлен на устройство по умолчанию (и обратно, при возврате устройства)

- Обновлен список поддерживаемых 4K-видеокарт.
- Обновлены OpenSSL библиотеки до версии 1.0.1j
- Обновлены кодеки.
- BASS: обновлены плагины WMA и FLAC.
- MPEG: улучшена обработка MPEG-PS, исправления в определении типа и улучшения в предотвращении ложных срабатываний.
- WASAPI: оптимизация регулировки громкости.
- WASAPI: оптимизация получения Bitstream-потока.

## 4.8.5

#### Видео движок

- OGG: улучшена перемотка при наличии видео-дорожки.
- Видео декодер: значительно оптимизировано декодирование HEVC-видео.

- Обновлены внутренние компоненты до актуальных версий.

## 4.8.4

#### Проигрыватель

- Новая шкурка: WebForm (автор: Pavlik)
- Информация о файле: добавляем количество байтов к размеру файла.
- Настройки->Типы файлов: поддержка ассоциирования файлов для Windows 8 и выше.

- Отключаем DXVA по умолчанию для Windows XP
- Обновлены внутренние компоненты до актуальных версий.
- Настройки звука: удален ползунок усиления для эквалайзера.
- Удален обозреватель субтитров.
- Удален агент WinLIRC.

#### Видео движок

- Видео декодер: значительно оптимизировано декодирование HEVC-видео.

- DXVA декодер: улучшения в обработке и отображении последних кадров в конце проигрывания.
- Обновлены кодеки

## 4.8.3

#### Проигрыватель

- Плейлист->Разное->Пропустить файл - теперь работает для всех выделенных элементов.
- Плейлист->Показать расположение файла: теперь работает для всех выделенных элементов.
- Настройки->OSD->Субтитры: удалена опция *Округлять до кратного 2*.

## 4.8.2

#### Проигрыватель

- Уменьшена ширина разделителя списка с 7-и до 5-и пикселей
- По окончании воспроизведения плеер больше не выгружает видео, если дальше следует бездействие

#### Видео движок

- MPEG: оптимизация загрузки Blu-ray.
- Обновлены кодеки.

## 4.8.1

#### Проигрыватель

- Реализован уведомлятор о доступности новых версии, в виде всплывающего сообщения в трее. По умолчанию включен.

- Опция *обратный отсчет времени воспроизведения* из Настройки->Интерфейс перенесена в Настройки->Клавиатура.
- Теперь плеер по умолчанию всегда видим в трее.
- В плейлисте пишем название папки Blu-ray взамен "index.bdmv".

#### Видео движок

- Субтитры: добавлена поддержка масштабирования PGS/DVB субтитров.

## 4.8.0

#### Проигрыватель

- Новая шкурка: WMP R.I.P. (автор: Ham).
- Обновления в движке шкурок: возможность выравнивания элементов по центру, минимальный размер, поддержка битовой прозрачности для ползунков громкости и шкалы времени, несколько новых кнопок, более полный контроль над шкалой времени и бордюром окна, подробнее в разделе "Для творцов" в Истории изменений движка.
- Всплывающее меню->Звук: добавлена возможность выбора звукового устройства.
- Всплывающее меню->Список->Разное: опция *пропустить файл*.
- Список: поддержка сетевых плейлистов которые отдают данные кусками (требуется наличие LAV Filters).
- Список: возможность выделить все элементы в списке горячей клавишей (по-умолчанию: Ctrl+A).
- Миниатюры: опция *не показывать окно с настройками миниатюр*.
- Настройки->Список->Разное: опция *не начинать воспроизведение файла при запуске его из проводника*.

- Перерисована главная иконка плеера и иконка трея, добавлены большие разрешения.
- Удалена поддержка Vimeo.

#### Видео движок

- Добавлена поддержка воспроизведения MIDI. (чтобы был звук, в Windows\System32 должен находиться банк звуков с именем 28MBGM.SF2, при этом сам банк звуков может быть любым, главное чтобы он назывался так).
- Встроенная поддержка WavPack.
- Встроенная поддержка OPUS.
- Видео декодер: улучшен механизм определения неверного порядка B-Frames.
- Видео декодер: поддержка воспроизведения H.264-видео с нарушенной последовательностью B-Frames.
- Видео декодер: обновлен список поддерживаемых VP5/VP6 (nVidia) видеокарт, обновлена информация по видеоадаптерам Intel Haswell.
- MKV: поддержка тегов CueDuration и CueRelativePosition при перемотке для считывания субтитров.
- MKV: улучшена совместимость с Lentoid HEVC Decoder.
- MPEG: поддержка потоковых (закачивающихся в данный момент) файлов, для таких файлов будет обновляться длительность по мере скачивания новых данных, без необходимости перезагружать плеер.
- MPEG: возможность переключения программ в MPEG-TS.
- MPEG: улучшена поддержка некоторых AAC-дорожек.
- AVI: добавлена поддержка H.264 потоков с FourCC "AVC1" и "h264".
- FLAC: поддержка ID3 v2 тегов (только для изображений).
- MP4: поддержка A/V-задержек заданных внутри контейнера.
- MP4: поддержка HEVC-видео созданных через ffmpeg encoder.
- MP3: поддержка многослойных .MP3 (в которых храняться данные с разными параметрами, актуально для онлайн-трансляций например).
- MP3: улучшен поиск заголовка (позволяет воспроизводить файлы содержащий мусор/неправильные данные в начале файла).
- Добавлена поддержка 12 канального звука с неуказанным расположением каналов.
- Субтитры: улучшения в обработке субтитров, множественные оптимизации и ускорения загрузки/отрисовки субтитров.
- Субтитры: поддержка анимированных VobSub-субтитров.

- MP4: оптимизация загрузки файлов.
- Аудио декодер: для пользователей Windows XP делаем недоступными опции Bitstream.
- WASAPI: улучшения в проверке поддержки того или иного формата.
- Субтитры: оптимизация чтения/позиционирования/обработки текстовых файлов.
- Обновлены кодеки.

## 4.7.8

#### Проигрыватель

- Корейский язык (за авторством 권 병호).
- Турецкий язык (за авторством Yılmaz ER).
- Добавлен аудио вариант шкурки Sky.
- Всплывающая подсказка с текущим уровнем громкости при наведении мышкой на регулятор громкости.
- Настройки->События: опция "Останавливать воспроизведение при потере фокуса, продолжить при активации" (только для видео режима).
- Настройки->Клавиатура: добавлена возможность поиска.

- Переделано поведение "перемотать на место последней остановки" активируемое горячией клавишей "L": Если файл еще не воспроизводится, то при нажатии на L начинаем плеить либо последний воспроизводимый, если список закрыт, либо тот на котором курсор, если список открыт, и после этого переход на место последней остановки; если же файл уже воспроизводится, то не перестартуем его повторно, а просто делаем переход на место последней остановки.

#### Видео движок

- Видео декодер: поддержка DXVA переработана и улучшена, устранены проблемы с дрожанием видео, устранены A/V рассинхронизации, артефакты и прочее.
- Видео декодер: поддержка декодирования QuickTime 8BPS, rpza, VP7.
- Видео декодер: поддержка новых видеокарт nVidia с VP5.
- Значительно переработан обработчик субтитров. Теперь сложные субтитры отображаются без сильных падений производильности.
- WASAPI Audio Renderer: добавлен механизм видео-аудио синхронизации.
- Встроенная поддержка Wave64.
- Встроенная поддержка TTA.
- MKV: поддержка ProRes.
- MKV: поддержка MJPEG.
- MKV: поддержка Microsoft MPEG4 v3.
- MKV: поддержка некоторых редких видов несжатого видео.
- MP4: поддержка Vorbis.

- Видео декодер: VP9-видео теперь декодируется средствами ffmpeg.
- MPEG: переработан механизм обработки AC3/AAC, оптимизация перемотки, исправлены различные ошибки.
- Обновлены BASS компоненты до последних версий.
- Обновлены кодеки, системные компоненты до последних версий.

## 4.7.7

#### Проигрыватель

- Контектное меню->Субтитры: возможность выбрать вторые субтитры.
- Настройки->Типы файлов: добавлена опция "добавлять пункты Light Alloy во всплывающее меню проводника".

- Настройки->Кодеки: реорганизация списка видео кодеков.

#### Видео движок:

- Поддержка SIPR WAVE в WMV.
- Аудио декодер: поддержка декодирования VoxWare
- Добавлена поддержка звуковой конфигурации 5.0
- Встроенная поддержка APE.
- Субтитры и видео процессор: поддержка NV12.

- Видео декодер: оптимизации.
- MPEG: переботан поиск по файлам, файлы теперь должны перематываться быстрее.
- Обновлены кодеки.

## 4.7.6

#### Проигрыватель

- Добавлена нумерация в выпадающее меню списков.
- Нажатие правой кнопкой мыши по регулятору громкости позволяет включить/отключить расширенное управление громкостью.

- Щелчок правой кнопкой мыши по области времени воспроизведения фильма изменит его с "прошло" на "осталось" (раньше для этого использовалась левая кнопка мыши).

#### Видео движок

- AVI: добавлена поддержка малораспространенных YUV-форматов.
- MP4: добавлена поддержка некоторых малораспространенных форматов.

- Обновлены кодеки, модуль медиа информации, системные компоненты.
- MPEG: оптимизация кода.

## 4.7.5

#### Проигрыватель

- Новая модель управления громкостью.
- Новые алгоритмы нормализации (компрессор и левелер).
- Радио: поддержка https:// ссылок.
- Поддержка нескольких плейлистов (меню списка->менеджер плейлистов).
- Добавлены параметры в командную строку: /AudioMode и /VideoMode, если указан какой-нибудь из них - плеер загружается в соответствующем визуальном режиме, внезависимости от того, в каком режиме закрыли плеер.
- Настройки->Внешний вид->Интерфейс: добавлено *настройки форматирования (теги)*.
- Настройки->Звук: несколько новых опций.
- Настройки->OSD->Информационная строка: поддержка тегов {IFHASVIDEO} .. {/IFHASVIDEO} и {IFHASAUDIO} .. {/IFHASAUDIO} - позволяет избегать вывода типа "x@ (/)", если допустим отсутствует видео дорожка.

- Список: переработано то, как сохраняется и загружается список воспроизведения. Теперь "LA.lap" не является главным файлом списка воспроизведения, плейлист будет загружаться оттуда куда его сохранили и под пользовательским названием. Если не сохраняли, то загружаться будет из папки по умолчанию.
- Список: если файлы расположены на уровне с файлом плейлиста, или ниже, то они теперь сохраняются в плейлисте с относительными, а не абсолютными путями.
- Информация о файле: позволяем сохранять обложку в исходном размере, а не ужатом.

#### Видео движок

- Видео декодер: поддержка 10 и 16-битного вывода (для вывода необходимо установить madVR)
- Видео декодер: поддержка декодирования WMV 9.1 Image, WMP 9.1 Image V2 (WMVP, WVP2), Avid DNxHD и QT v410
- MP4: поддержка DNxHD и FFV1.
- RAW: поддержка I420, Y800, 4:1:1 y4m файлов, Y41B/Y42B, 444P и прочие улучшения.

- Переработано OSD для поддержки качественной полупрозрачности и масштабирования текста.
- Переработан алгоритм ускорения и сдвига питча для звука.

## 4.7.4

#### Проигрыватель

- Официальная шкурка для аудио режима.
- Возможность задавать участки для просмотра, а не для пропуска в автопромотке.
- Настройки->Мышь: опция *регуляторы по краям видео кадра*
- Добавлен раздел "Для создателей" в справках.
- Настройки->Кодеки: добавлен HEVC/H.265

- Обновлены встроенные шкурки.
- Полностью переработан алгоритм поиска и подгрузки похожих файлов.
- Настройки->Видео: переделаны условия доступности тех или иных опций визуализаторов.

#### Видео движок

- Поддержка воспроизведения RAW-потоков (MPEG-1/2, H.264, VC-1).
- RAW: добавлена поддержка HEVC-потоков.
- Video Decoder: добавлена экспериментальная поддержка HEVC/H.265 (аппаратное декодирование пока что не поддерживается), VP9, Microsoft Video 1(CRAM), AIC (Apple Intermediate Codec).
- AVI: добавлена поддержка DV-видео с идентификатором CDVC.
- FLV: поддержка HEVC/H.265 (только с декодером Lentoid HEVC Decoder).
- MPEG: поддержка AC3 в .SFD (MPEG-PS) видео файлах, HEVC/H.265, Program Stream Map для MPEG-PS.
- MKV: поддержка HEVC/H.265, VP9
- MP4: поддержка HEVC/H.265, AIC

- Video Decoder: различные изменения в диалоге настроек.
- Обновлены кодеки, модуль медиа-информации, системные модули.

## 4.7.3

#### Проигрыватель

- Новая шкурка: Narrow (автор - Gilorn)
- Поддержка CUE глав для некоторых функций плеера (меню навигации, переход на след./пред. главы, всплывающее меню таймлайна)
- Список->Перейти к файлу: поддержка юникода.
- Настройки->Внешний вид: опция *показывать обложку*.
- Настройки->Звук: возможность зайти в опции WASAPI Audio Renderer.
- Скиновая система: возможность изменять размер бордюра.

- Обновлены справки.
- Оптимизация некоторых модулей плеера.

#### Видео движок

- Поддержка воспроизведения формата TAK.
- UDP Reader полностью переписан. Так же теперь он поддерживает HTTP-протокол и настройки прокси. И другие плюшки.
- DTSAC3: Добавлена частичная поддержка .dtshd/DTSHDHDR
- AVI: улучшена обработка AVC1/H.264 видео, добавлена поддержка 'avc1' FOURCC.

- Обновлен список VP5-видеокарт поддерживающих декодирование 4K-видео в DXVA режиме.
- MPEG: оптимизирована работа с IPTV, особенно с радио(без видео дорожки).
- MPEG: оптимизировано открытие Blu-Ray.
- MPEG: улучшен поиск AAC/AAC LATM/MPEG Audio дорожек.
- MPEG Audio: ограничиваем поиск MpegAudio заголовка 5 мегабайтами.
- OGG: переработан механизм поиска, теперь файлы должны мотаться гораздо быстрее, особенно с Theora-видео.
- Улучшена обработка APE тегов.
- Обновлены системные компоненты (MediaInfo, кодеки, ...)

## 4.7.2

#### Проигрыватель

- Справка на Нидерландском языке (за авторством TDJ).
- PK69.icl: в икон-пак добавлены размеры иконок 96 и 256.
- Возможность переключать вторые субтитры горячей клавишей.
- Настройки->Система: открытый доступ к специальным настройкам настройкам.
- Настройки->OSD->Субтитры: опция *Предпочитать XySubFilter для MadVR*
- Настройки->OSD->Субтитры: опция *MKV: загружать встроенные шрифты*.
- Настройки->Список: опция *считывать сигнатуру файла для показа длительности*.
- Настройки->Список: опция *при добавлении файлов в список, сортировать их по...*
- Поддержка переопределяющих языковых файлов (*.txt.override). Поместив, допустим, в папку Langs файл с названием russian.txt.override, вы можете переопределить желаемые языковые строки, если оригинальное название вас не устраивает. Просто добавьте в этот файл исправленный вариант строки(напр. "Command.050=Открыть видео", без кавычек), сохраните файл, перезапустите плеер и смотрите результат.
- Всплывающее меню: Список->Разное: опция *показать подсказки для элементов списка*.
- M3U: поддержка считывания CUE плейлиста.

- У меню настроек, и некоторых других форм (удаление файла, предварительного настройщика, ...) увеличена ширина (не во всех языках умещались названия опций).
- Функция *очистить список* теперь работает быстрее.
- Обновления в русской, украинской и английской справках.
- Убираем расширение из названия папки (которое берётся из имени файла) при создании скриншота.
- Наведён порядок в настройках клавиатуры

#### Видео движок

- Поддержка XySubFilter.
- Поддержка DmitriRender (http://www.dmitrirender.ru, после установки активируется в Настройки->Кодеки).
- UDP Reader для IPTV (для udp multicast).
- Video Decoder: поддержка декодирования MJ2C-видео.
- Video Decoder: поддержка 4K видео для некоторых видеокарт семейства GeForce 5xx/6xx/7xx и некоторых видеокарт Intel семейства IvyBridge/Haswell.
- Audio Decoder, WASAPI Audio Renderer: поддержка кеширования данных. Это избавит от искажений/щелчков во время проигрывания из-за воздействия посторонних программ на процессор/жесткий диск.
- MKV: улучшена перемотка для файлов, у которых ключевые кадры расположены очень редко.
- FLV: добавлена поддержка ключевых кадров. В этом случае значительно увеличивается скорость перемотки.
- OGG: улучшена поддержка сетевых потоков.
- WavPack: поддержка iso.wv
- Субтитры: добавлена поддержка вторых субтитров для DVB/HDMV/Sup/XSub.

- MPEG-2 Decoder: обрабатываем субтитры только при просмотре DVD, в остальных случаях используем стандартные средства.
- WASAPI Audio Renderer: улучшения поведения на перемотке.
- WavPack: убрана поддержка потоков.
- Обновлены кодеки, модуль медиа информации, системные компоненты.

## 4.7.1

#### Проигрыватель

- Поддержка отображения одновременно двух субтитров.
- Настройки субтитров: добавлена опции *Разрешить наслоение субтитров* и *Выравнивать текст по левому краю*.
- Итальянский перевод плеера (автор Marco Brocco)
- Добавлен украинский перевод справки.
- Добавлен параметр командной строки /onradio - при запуске плеера сразу включает радио на воспроизведение.
- Настройки изображения: фильтры пост-обработки (шейдеры).
- Настройки изображения: опция *перевернуть изображение*.
- Информация о файле: показ вшитой в аудиофайл обложки (поддерживаются изображения: png, jpg, bmp)
- Нажав Ctrl+Shift+U можно активировать режим слежения за буфером обмена на предмет ссылок (для YouTube, например).
- Ctrl+Shift+L - не изменяемая горячая клавиша для перезагрузки языковых файлов (может быть удобно переводчикам).
- Настройки->Интерфейс: возможность кастомизировать некоторые выпадающие меню.
- Настройки->События: воспроизвести следующий по списку вынесен в галку.
- Настройки->Видео->Скриншоты: новые опции *брать названия из тегов, вместо имени файла* и *отображать субтитры*.
- Настройки->DVD: опция *воспроизводить автоматически при обнаружении диска*.
- Добавлена возможность загружать плеер с произвольным файлом настроек, для этого необходимо его передать параметром в командной строке (любое имя файла с расширением .xml). По-умолчанию можно указывать без путей (из каталога с LA.exe), но можно указать и полный путь с другого диска например.

- Доработан поиск похожих, если следующий файл уже присутствует где-то в списке.
- Уровни заряда для батареи при которых изменяется её цвет теперь могут быть изменены в LA.xml (LowLevel и HighLevel)

#### Видео движок

- Поддержка декодирования G2M (GoToMeeting) видео.
- AVI: поддержка MPEG-1.
- AVI: поддержка Matrox MPEG-2.
- MKV: добавлена поддержка Opus.
- MKV: добавлена поддержка ALAC.
- MPEG: добавлена опция для вкл/выкл создания *пустышки* вывода субтитров.
- MPEG: поддержка TrueHD.
- MPEG: поддержка Blu-Ray с Seamless Branching (кусочные).
- OGG: улучшения в поддержке и перемотке видео-файлов Theora.
- MPC: поддержка аудио файлов с ID3-заголовком в начале.
- Audio Decoder: поддержка битстриминга DTS-HD, E-AC3 и TrueHD через HDMI.
- Wasapi Audio Renderer: полностью переработан.
- Video Decoder: декодирование VC1-I в режиме без DXVA.
- Video Decoder: декодирование MPEG-1/2 в режиме без DXVA.
- Video Decoder: поддержка видео кодека v210.
- Video Decoder: поддержка видео кодека VMware Video.
- Video Decoder: встроенный видео декодер теперь позволяет переключаться на ходу с одного типа видео на другое, включая DXVA режимы. Так же - если нижестоящий фильтр не заполняет, или заполняет некорректно, данные о FPS, то пытаемся получить эту информацию от видео-потока и передать визуализатору.
- Video Decoder: опция read AR from stream - добавлено третье состояние при котором устанавливается AR из потока, только если оно не установлено в контейнере(как в LAV). Выставлено по умолчанию. Так же теперь изменение данной опции применяется на лету.
- Video Decoder: улучшена поддержка H.264 Interlaced видео файлов.
- EVR/VMR Renderers: вывод статистики переработан, теперь она масштабируема.

- Улучшения в поддержке WTV-файлов.
- Улучшения в обработке медиа файлов с кривыми PTS-пакетами.
- Audio Decoder: улучшения в звуковом микшере.
- AVI: улучшено воспроизведение плохочередующихся AVI-файлов.
- AVI: уменьшено потребление памяти.
- AVI: изменен механизм перестройки индексов, в случае их отсутствия.
- AVI: улучшено отображение DivX-субтитров.
- MPEG: улучшен поиск дорожек внутри MPEG-потока.
- MPEG: пропускаем битые пакеты, позволит избежать падения на кривых файлах.
- MP4/MOV: улучшена поддержка Apple MPEG2.
- MKV: переработан механизм расчета длительности кадра, в случае его отсутствия в заголовке - устраняет проблемы с воспроизведением WebM, улучшает поддержку битых/недокачанных/обрезанных файлов.
- DTSAC3: переработан парсер WAV-файлов.
- Video Decoder: изменение "Output formats" на горячую теперь работает и для VMR-визуализаторов.
- Улучшено определение DXVA-2 режима (актуально, например, при использовании ArcSoft/CyberLink декодеров).
- Переработана нормализация звука при активном обработчике звука.
- Некоторые улучшения в поддержке MadVR.

## 4.7.0

#### Проигрыватель

- Справка для плеера за авторством Gilorn.
- Японский перевод за авторством Tilt.
- Немецкий перевод за авторством Axel05.
- Китайский перевод за авторством lizw9382.
- Возможность просматривать онлайн-видео с YouTube и Vimeo прямо в плеере (Ctrl+U для вызова диалога *Открыть URL*).
- Альтернативный режим плейлиста - режим каталогов, активируется горячей клавишей "F11" или во всплывающем меню кнопки "Список".
- Добавлен Каталог интернет радиостанций. Доступен через всплывающее меню->Открыть, или через горячую клавишу Shift+H. Так же, каждая кнопка там имеет своё дополнительное функциональное всплывающее меню вызываемое правым щелчком мыши по ней.
- Добавлена расширенная история просмотренных файлов (правой кнопкой мыши по кнопке *Воспроизведение / Пауза* или Ctrl+H).
- Поддержка tracker-музыки (XM, IT, S3M, MOD, ...)
- Выпадающее меню: Открыть DVD без меню
- Настройки->Мышь->Области видео: добавлены новые команды и опции
- Настройки->Список: группа опций *проверять наличие файлов*.
- Настройки->Звук: возможность задать конфигурацию вывода звука.
- Настройки->Звук: вкладка *Радио*.
- Настройки->Видео: вкладка *Скриншоты*.
- Настройки->Клавиатура: добавлены новые клавиатурные команды - *Размер плейлиста*, *Размер панели каталогов* и *Переименовать файл*.
- Настройки->Клавиатура->Альтернативные: возможность использовать альтернативные горячие клавиши на ноутбуках(без правой цифровой клавиатуры). Задание режима через Shift+верхние цифры, а значения через просто верхние цифры.
- Возможность создавать скриншоты в форматах WebP и WebP-LL.
- Возможность указать качество изображения для скриншотов.
- Во всплывающее меню кнопки списка *удаление файлов* добавлен новый пункт "Очистить список от недоступных файлов".
- Настройки звука: возможность сохранять/загружать настройки эквалайзера в профильные файлы пользователя.
- Возможность переименовывать файлы/закладки в списке.
- При открытии сетевого потока теперь будет отображаться статус буферизации.
- Поддержка сетевых M3U/PLS-плейлистов (интернет радио посредством shoutcast, например).
- Пропорции видео: пиксель-в-пиксель (удобно для некачественного/lowres видео).
- Скрытые опции (изменяемые только через LA.xml):
  - Возможность задать имя парного скина в переменной SkinDouble и переключаться на него по щелчку правой кнопки мыши по заголовку.
  - Scheduler.Alarma.EveryHour="1" возможность активировать ежечасную кукушку
  - Nastr.LA_DoubleCopy - Позволяет запустить вторую копию плеера из другого каталога(в одной копии параметр должен быть равен 0, а в другой равен 1). Удобно например для копии сидящей в трее только для функции ежечасного бигбенда. Или одной копии для аудио, а другой для видео, каждая из которых имеет свои уникальные настройки интерфейса.

- Список: функция *удалить файл с диска* теперь поддерживает удаление нескольких файлов из списка.
- Всплывающее меню: полная реорганизация пунктов в подразделе "Список".

#### Движок

- Поддержка декодирования: Opus, Jpeg 2000, Speex
- Поддержка 4K-видео в режиме DXVA для VP5-видеокарт (GeForce >=6xx, некоторые 4xx/5xx, серия Quadro/Tesla).
- Поддержка интернет-радио с форматами MP3/AAC/OGG/OGG-FLAC/OGG-OPUS/WMA, с возможностью записи.
- Экспериментальная поддержка IPTV.
- Добавлена поддержка AVC Level 5.1 для Intel HD Graphics 2500
- Поддержка субтитров в VOB файлах.
- Поддержка H.264 Interlaced c двумя полями в одном кадре.
- Поддержка декодирования VC-1 field interlaced в режиме DXVA
- Поддержка XSub субтитров (DivX Subtitles) (на данный момент поддерживается только со встроенными кодеками)
- MPEG2 DXVA декодер: поддержка видео с 2:3 Pulldown кадрами.
- AVI: улучшена поддержка H.264.
- MP4/MOV: поддержка AMR Wide-band аудио дорожек.
- MP4/MOV: определение мета-тега Rotate с последующим разворот видео.
- MP4/MOV: теперь поддерживаются оглавления созданные в программе HandBrake.
- MP4/MOV: поддержка Speex.
- MP4/MOV: добавлена поддержка '3IVD'.
- MP4/MOV: улучшена поддержка потокового видео.
- MKV: улучшения в поддержке битых/недокачанных файлов, улучшения в перемотке на файлах с малым количеством ключевых кадров.
- OGG: поддержка Speex.
- OGG: поддержка файлов с изменяемыми "страницами" (когда в одном ogg находится несколько разных аудио).
- MPEG: добавлена опция "быстрой перемотки". Этой опцией можно пользоваться в 99%, но по умолчанию она выключена, т.к. в некоторых случаях с ней перемотка будет просто не корректна.
- MPA/OGG: поддержка потокового аудио.
- Субтитры: поддержка DVB субтитров в Windows-TV (WTV/DVR-MS).
- Субтитры: Улучшения в поддержке PGS/HDMV/DVB-субтитров. Так же теперь нормально могут выводиться одновременно несколько субтитров.
- Субтитры: поддержка float-значений для тегов \fscx и \fscy.
- Опция активации деинтерлейсинга для видео декодера (прим.: это не софтовая обработка на уровне видео-декодера, а всего лишь рекомендация для визуализатора).

- MPEG: улучшен функционал перемотки, теперь она должна в 99.99% случаях для MPEG-TS переходить на корректное время, это исправляет неверные переходы при перемотках на многих, даже лицензионных, файлах. Как минус - возможно небольшое снижение скорости при непрерывной перемотке.
- DTSAC3: улучшения в определении AC3-дорожки.
- MKV: увеличено кол-во пакетов в очереди для Matroska - это необходимо, как минимум, для корректного отображения PGS(HDMV)/DVB субтитров.
- Теперь строже проверяются параметры видеокарты на наличие подходящих возможностей для воспроизведения H.264-видео в режиме DXVA
- Субтитры: обработчик очереди субтитров - для растровых субтитров всегда выставляется низкий приоритет, т.к. для них не используется анимация.
- Субтитры: улучшения в механизм парсинга и обработки HDMV(PGS) субтитров.
- Небольшие оптимизации работы с активированной функцией Предпросмотра на шкале времени.
- Обновления в коэффициентах преобразования стерео звука в 4.0/5.1/7.1 конфигурации.
- Обновлены кодеки, модуль медиа информации, другие системные компоненты.

## 4.6.7

- Добавлен польский язык.
- Подхват настроек от предыдущей версии.
- Добавлена автопромотка эпизодов.
- Настройки -> Клавиатура: добавлены новые команды
- Добавлен WASAPI Audio Renderer в список звуковых устройств.
- Ограниченная поддержка воспроизведения ISO (требуются LAV Filters)
- Настройки->Связки: возможность указывать медиа-клавиши для имеющихся команд; добавлено 4 новых команды.
- Возможность указать кодировку субтитров; поддержка для ass/ssa; кнопка «по умолчанию» теперь возвращает стандартный стиль субтитров, а не только настройки формы.
- Планировщик: добавлена опция «перевести в ждущий режим».
- Настройки -> Мышь: новая опция — «Вызывать всплывающее меню кнопок настройки видео/звука/субтитров левой кнопкой».
- Контекстное меню шкалы времени: опции перемотки по ключевым кадрам.
- Поддержка RealAudio 14.4.
- Поддержка декодирования DVCPRO 50, Apple DVCPRO HD 1080i60, RealAudio Lossless, MSS2, WMA Voice, Canopus CLLC.
- Аудио декодер: возможность выбрать конфигурацию колонок.
- AVI Splitter: добавлен диалог настроек
- Улучшена совместимость с внешним DirectVobSub фильтром (напр. xy-vsfilter).

- Изменены клавиши по умолчанию для некоторых команд.
- Настройки видео/субтитров теперь могут быть открыты без наличия открытого видео.
- Существенная оптимизация работы внутреннего и внешнего списков на большом количестве файлов.
- Настройки->События: опция «Применять сохраненные медиа настройки» теперь имеет приоритет выше, чем «Установить особые пропорции» в Настройки->Видео.
- При вызове команды Alt+Q (выгрузить файл) более не меняем размер окна плеера на стандартный, если плеер в данный момент находится в полноэкранном режиме.
- Обозреватель субтитров: поддержка юникода; возможность изменять размер формы; поддержка многострочности; поддержка изменения тайминга; другие функциональные доработки.

## 4.6.6

- Новая шкурка: LA Dub
- Добавлен датский язык
- Всплывающее меню: новый пункт *Воспроизвести диск*.
- Настройки->DVD: добавлена возможность указания CD/DVD/Blu-ray устройства по умолчанию (для команды *Воспроизвести CD/DVD диск*)
- DVD: добавлена возможность перемещаться по разделам меню стрелками клавиатуры, выбирать пункт меню через клавишу пробел, и выходить из под-меню через клавишу backspace (последнее - работает не для всех DVD).
- Настройки субтитров: опции *позиционировать относительно видеокадра* и *применять для всех субтитров*.
- Настройки->OSD->Субтитры: опция *язык субтитров по-умолчанию*.
- Настройки->Внешний вид: новая опция *Для аудио брать название из глав, если доступно*
- Настройки->Внешний вид: вкладка *Трей*.
- Настройки->Мышь: вкладка *Предпросмотр*.
- Настройки->Кодеки: опция *Игнорировать системные кодеки*.
- DVD: вывод текущего оглавления в заголовке плеера, вместо "VIDEO_TS.IFO".
- Автоподгрузка одноименной звуковой дорожки для следующего эпизода сериала, если звуковая дорожка для предыдущей серии уже была подгружена ранее.
- Новые иконки управления плеером для панели задач Windows 7
- Добавлена поддержка декодирования для встроенных видео/аудио декодеров: Видео: Flash Screen Video 1, Fraps, Bink Video, PNG, TechSmith Codec 2, MSS 1/3/4 Аудио: DVD Audio, DTS Audio CD, MLP, Bink Audio, Indeo Audio
- Поддержка DVB субтитров для MKV
- Поддержка внешних SUP субтитров (только для VMR-7/9 RL, EVR CA/Sync)
- FLV Splitter: поддержка AAC-дорожек без extradata

- Обновлено дерево фильтров.
- Функция *перемотать на место последней остановки* теперь поддерживает DVD.
- Улучшения поддержки юникода в различных модулях плеера.
- Если есть видеокадр, то по-умолчанию OSD будет выводиться методом "вместе с видео", вместо "поверх видео".
- MPEG-TS/PS - улучшена перемотка на H.264/VC-1
- Улучшена работа H.264 DXVA декодера на чересстрочном видео.

## 4.6.5

- Поддержка юникода.
- Добавление файлов в список теперь имеет три режима (Добавление/Универсально/Замена).
- Добавлена поддержка визуализатора MadVR.
- Настройки->Мышь: новая вкладка - *Колесо*.
- Настройки->Список: новая опция *Не удалять проигрываемый файл из списка*.
- Настройки->Клавиатура: новая вкладка - *Альтернативные*.
- Настройки->OSD: галка *Блокировать внешний DirectVobSub*.
- Настройки->Кодеки: новые опции.
- Добавлен AVS и OGV (OGG Video) в список известных расширений.
- *О программе*: добавлен вывод версии кодеков.
- Список: вывод времени проигрывания композиции из CUE-плейлиста.
- Настройки->Внешний вид: опция *соблюдать пропорции видео при изменении размеров*.
- Добавлена поддержка декодирования для встроенных видео/аудио декодеров: Видео: CSCD (CamStudio Decoder), QTRle (Quick Time RLE), DV/DVHD/DVCPRO 25/50/100, UtVideo, Dirac, Lagarith, Apple ProRes, Cinepak. Аудио: QDM2, WavPack 4, MusePack v7/v8, Monkey Audio (APE), TrueSpeech.
- Поддержка 10-битного видео для встроенного движка субтитров.
- Поддержка воспроизведение с многопоточностью для OGG-сплиттера и видео Theora.
- Вывод текущего DXVA-режима в техническом OSD.
- Поддержка внешнего (установленного в системе пользователя) DirectVobSub.

- В областях видео, если в области перемотки удерживать Ctrl, то перемещаться будем по 30 секунд, если Alt то по 60 секунд.
- Настройки: масса косметических изменений.
- Многократно улучшена перемотка на OGG + Theora.

## 4.6.0

- Настройки->Видео: Опция "Перемотка по ключевым кадрам".
- Предварительный надстройщик.
- Обширное обновление и редизайн Настроек
- Настройки->События: выбор алгоритма для *добавления похожих по названию*.
- возможность создания скриншотов в формате PNG.
- Добавлено ускорение после 2х: 3х 4х 8х..32x
- Многие кнопки на панели плеера получили своё всплывающее меню, через которое открываются дополнительные возможности.
- Четыре диалога открытия/добавления файлов на вибор.
- Выпадающее меню при перетаскивании файлов на список.
- Управление проигрывателем через Области видео
- История файлов
- Аудиорежим работы (список на всю ширину и отдельная шкура)
- Возможность перехода по главам MKV и плейлистам Blu-Ray
- Иконка в трее стала функциональной
- Питч аудио как в VLC

- Капитально переписан видеодвижок
- Расширен набор визуализаторов: VMR-7 WL, VMR-7 RL, VMR-9 WL, VMR-9 RL, EVR, EVR CA, EVR Sync
- поддержка DXVA (с субтитрами), для VMR 9 RL, EVR CA и EVR Sync

## 4.5.7

- Экспериментальная поддержка юникода
- Экспериментальная поддержка воспроизведения онлайн-видео по протоколам mms/rtsp/rtp/http
- Добавлен пункт *Открыть URL* во всплывающее меню плеера

- Переработан внешний список
- При воспроизведении аудио логотип теперь отображается.

## 4.5.6

- Добавлена поддержка Indeo 3/4/5, VP 3/3.1 (Flash Video), VP 8 (WebM), Sorenson через внутренние кодеки.
- Автозагрузка оглавлений из MKV/MP4/OGM и расставления их на шкале времени и в списке

- Возвращена поддержка VMR-7.
- Возвращен обычный диалог открытия/добавления файлов.

## 4.5.5

- Большие обновления скиндвижка
- Настройки->Интерфейс: добавлена галка "увеличенный шрифт на шкале времени"
- Обновлены иконки в меню настроек

- "Показывать логотип из шкурки" теперь включена по умолчанию.

## 4.5.4

- "Настройки" — добавлено много новых всплывающих подсказок для большинства опций.
- «Настройки->OSD»: добавлен новый тег в "Информационная строка"(так же и для Настройки->Видео — "добавить информацию о фильме") — {AUDIOSTREAM}.
- «Информация о файле»: добавлена возможность копировать информацию путём построчного выделения через Ctrl+левая кнопка мыши.

- Встроенный модуль всплывающих подсказок переработан

## 4.5.3

- К сохраняемым медиа-настройкам добавился сдвиг звука
- "Настройки->Видео": добавлена новая кнопка - "Добавить информацию о файле", которая позволяет вам вывести дополнительную информацию на скриншоты.

- "Настройки->OSD": окошко предпросмотра теперь обновляется сразу.
- "Настройки звука": форма немного увеличена в размерах.

## 4.5.2

- Добавлена функция "сохранить полноразмерные кадры из фильма".
- Настройки: дополнительные всплывающие подсказки в некоторым функциям.

## 4.5.1

- возможность портативного использования
- добавлена опция списка "показывать номер проигрываемой позиции"
- добавлена опция звука "принимать величину громкости текущую системную, а не сохраненную"
- Новая команда - "Cохранить кадр в буфер обмена".
- Дополнительные опции для отображения заряда батареи (прозрачность, положение отображения батареи).
- Диалог добавления файлов: добавлены фильтры "только видео", "только аудио".

- При отсутствии папки Codecs в директории с плеером будут автоматически использоваться внешние кодеки.
- Переназначение горячей клавиши, если таковая уже назначена на какую-то команду, теперь требует подтверждения.

## 4.5

Базовая версия. Основные отличия от поколения 4.4:

- Добавлена поддержка Windows 7.
- Встроенные кодеки.
- Переключение звука/субтитров через контекстное меню кнопок Настройки звука и Настройки субтитров соответственно.
- Новый диалог открытия файлов.